| Qore HttpServerUtil Module Reference 1.0

Public Attributes | List of all members
HttpServer::HttpHandlerConfigInfo Struct Reference

hash providing HTTP handler configuration info More...

## Public Attributes
softlist< softstring > | content_types
| the Content-Type that the handler handles (optional)
AbstractHttpRequestHandler | handler
| the handler itself (required)
softlist< softstring > | headers
| a list of headers that indicate that a request should be handled by the handler (optional)
bool | isregex = False
| if the URI path is a regular expression pattern
string | path = "/"
| the URI path for the handler

## Detailed Description

hash providing HTTP handler configuration info